(function ($) {

    var margin_top = 60;

    $.fn.sKroll = function (fullHeightSection) {
        // preloading
        showContent();
        
        // avtive on scroll
        setMenuActiveOnScroll();

        // if section has full window height
        if (fullHeightSection) {
            resizeOnLoad();
        }

        // logic to scroll to the right content section without IDs and classes
        findListItemIndex();

        return this;
    };
    
    var setMenuActiveOnScroll = function() {
        $(window).scroll(function() {
            $('.skroll-content section').each(function(e) {
                var section_top_pos = $(this).offset().top,
                    document_top_pos = $(document).scrollTop() + margin_top + 10,
                    list = $('.skroll-header ul li');
                if (section_top_pos <= document_top_pos) {
                   list.removeClass('skroll-active');
                   list.eq(e).addClass('skroll-active');
                }
            });
        });
    }

    var resizeSection = function() {
        $('.skroll-content section').css({
            'height': $(window).height()-margin_top
        });
    };

    var resizeOnLoad = function() {
        resizeSection();
        $(window).on('resize', function() {
            resizeSection();
        });
    };

    var scrollToElement = function(_index) {
        $('html, body').animate({
            scrollTop: $('section:eq(' + _index +')').offset().top - margin_top
        }, 800);
    };

    var showContent = function() {
        $(window).on('load', function() {
            $('#skroll').fadeIn();
        });
    };

    var findListItemIndex = function() {
        $('.skroll-header ul li a').each(function(i) {
            var _this_li = $(this).parent('li'),
                           _this = $(this);
            _this_li.bind('click', {index:i}, function(e){
                e.preventDefault();
                var _index = e.data.index,
                    _this_ul = $(this).parent('ul');
                //$(_this_ul).find('li').removeClass('skroll-active');
                //$(_this).parent('li').addClass('skroll-active');

                if (!$(_this).hasClass('no-skroll')) {
                    scrollToElement(_index);
                }
            });
        });
    }

})(jQuery);